> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Firm Positions

> Retrieves firm-level positions for all firms you have access to



## OpenAPI

````yaml /api-reference/derivatives-api/rest-api/cde-spec.json get /rest/positions
openapi: 3.0.3
info:
  title: Derivatives Public REST API
  version: 0.1.0
  description: Public REST API for Coinbase Derivatives Exchange Public REST Gateway
servers:
  - url: https://api.exchange.fairx.net
    variables: {}
security:
  - auth_api_key: []
  - auth_timestamp: []
  - auth_passphrase: []
  - auth_signature: []
paths:
  /rest/positions:
    get:
      tags:
        - Positions
      summary: Get All Firm Positions
      description: Retrieves firm-level positions for all firms you have access to
      operationId: getPositions
      parameters:
        - name: expired_filter
          in: query
          description: >-
            Instrument filters: TWO_WEEKS(two weeks within expiry),
            NON_EXPIRED(not expired), IS_ACTIVE(not expired, and is currently
            trading)
          required: false
          deprecated: false
          allowEmptyValue: false
          schema:
            type: string
            example: IS_ACTIVE
      responses:
        '200':
          description: Successfully retrieved positions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PositionsResponse'
      deprecated: false
      security: []
components:
  schemas:
    PositionsResponse:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/FirmPositionsResponse'
      example:
        f81d4fae-7dec-11d0-a765-00a0c91e6bf6:
          firm_uuid: f81d4fae-7dec-11d0-a765-00a0c91e6bf6
          long_daily_contribution: 100
          long_daily_position_limit: 5000000
          long_real_contribution: 100
          long_real_position_limit: 5000000
          positions:
            BIPZ30:
              long_filled_daily_position: 0
              long_filled_real_position: 0
              long_initial_margin: 100
              long_working_position: 0
              short_filled_daily_position: 0
              short_filled_real_position: 0
              short_initial_margin: 100
              short_working_position: 0
              symbol: BIPZ30
              total_futures_long_daily_dollar_amount: 0
              total_futures_long_real_dollar_amount: 0
              total_futures_short_daily_dollar_amount: 0
              total_futures_short_real_dollar_amount: 0
          product_positions:
            BIP:
              long_daily_contribution: 100
              long_daily_position_limit: 10000
              long_real_contribution: 100
              long_real_position_limit: 15000
              product_code: BIP
              short_daily_contribution: 50
              short_daily_position_limit: 15000
              short_real_contribution: 50
              short_real_position_limit: 20000
              trading_disabled: false
          short_daily_contribution: 50
          short_daily_position_limit: 5000000
          short_real_contribution: 50
          short_real_position_limit: 5000000
    FirmPositionsResponse:
      type: object
      additionalProperties: false
      properties:
        firm_name:
          type: string
        positions:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/FirmPositionResponse'
        long_contribution:
          type: integer
          format: int32
        short_contribution:
          type: integer
          format: int32
      required:
        - long_contribution
        - short_contribution
    FirmPositionResponse:
      type: object
      additionalProperties: false
      properties:
        symbol:
          type: string
        initial_margin:
          type: integer
          format: int32
        long_working_position:
          type: integer
          format: int32
        long_filled_position:
          type: integer
          format: int32
        total_futures_long_dollar_amount:
          type: integer
          format: int32
        short_working_position:
          type: integer
          format: int32
        short_filled_position:
          type: integer
          format: int32
        total_futures_short_dollar_amount:
          type: integer
          format: int32
      required:
        - initial_margin
        - long_working_position
        - long_filled_position
        - total_futures_long_dollar_amount
        - short_working_position
        - short_filled_position
        - total_futures_short_dollar_amount
  securitySchemes:
    auth_api_key:
      in: header
      name: CB-ACCESS-KEY
      description: The key string of the API key for the request
      type: apiKey
    auth_timestamp:
      in: header
      name: CB-ACCESS-TIMESTAMP
      description: The timestamp of when the request is being made (in epoch seconds)
      type: apiKey
    auth_passphrase:
      in: header
      name: CB-ACCESS-PASSPHRASE
      description: The passphrase affiliated with the API Key
      type: apiKey
    auth_signature:
      in: header
      name: CB-ACCESS-SIGN
      description: >-
        An HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
      type: apiKey

````